import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
payload = {
"url": "<string>",
"enabled": True,
"events": "<unknown>",
"description": "<string>",
"max_consecutive_failures": -1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
enabled: true,
events: '<unknown>',
description: '<string>',
max_consecutive_failures: -1
})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"enabled\": true,\n \"events\": \"<unknown>\",\n \"description\": \"<string>\",\n \"max_consecutive_failures\": -1\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\",\n \"enabled\": true,\n \"events\": \"<unknown>\",\n \"description\": \"<string>\",\n \"max_consecutive_failures\": -1\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"enabled": true,
"events": "<unknown>",
"description": "<string>",
"max_consecutive_failures": -1
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Update a webhook endpoint
Update an existing webhook endpoint. You can update the URL, enabled status, events, or description.
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
payload = {
"url": "<string>",
"enabled": True,
"events": "<unknown>",
"description": "<string>",
"max_consecutive_failures": -1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
enabled: true,
events: '<unknown>',
description: '<string>',
max_consecutive_failures: -1
})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"enabled\": true,\n \"events\": \"<unknown>\",\n \"description\": \"<string>\",\n \"max_consecutive_failures\": -1\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\",\n \"enabled\": true,\n \"events\": \"<unknown>\",\n \"description\": \"<string>\",\n \"max_consecutive_failures\": -1\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PATCH \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"enabled": true,
"events": "<unknown>",
"description": "<string>",
"max_consecutive_failures": -1
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Serializer for WebhookEndpoint model.
HTTPS URL where webhook notifications will be sent
1 - 2048Whether this webhook endpoint is active
List of event types this webhook will receive
Whether this webhook receives test or production events
test- Testproduction- Production
test, production Optional description or label for this webhook
255Webhook will be auto-disabled after this many consecutive failures
-2147483648 <= x <= 2147483647Response
Serializer for WebhookEndpoint model.
HTTPS URL where webhook notifications will be sent
2048Whether this webhook endpoint is active
List of event types this webhook will receive
Whether this webhook receives test or production events
test- Testproduction- Production
test, production Optional description or label for this webhook
255Webhook will be auto-disabled after this many consecutive failures
-2147483648 <= x <= 2147483647